> ## Documentation Index
> Fetch the complete documentation index at: https://developers.authlete.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Credential Offer Information

> Get information about a verifiable credential offer



## OpenAPI

````yaml https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/vci/offer/info
openapi: 3.0.3
info:
  title: Authlete API
  description: ''
  version: 3.0.16
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - description: 🇺🇸 US Cluster
    url: https://us.authlete.com
  - description: 🇯🇵 Japan Cluster
    url: https://jp.authlete.com
  - description: 🇪🇺 Europe Cluster
    url: https://eu.authlete.com
  - description: 🇧🇷 Brazil Cluster
    url: https://br.authlete.com
security:
  - bearer: []
tags:
  - name: Service Management
    description: >-
      API endpoints for managing services, including creation, update, and
      deletion of services.
    x-tag-expanded: false
  - name: Client Management
    description: >-
      API endpoints for managing OAuth clients, including creation, update, and
      deletion of clients.
    x-tag-expanded: false
  - name: Authorization Endpoint
    description: API endpoints for implementing OAuth 2.0 Authorization Endpoint.
    x-tag-expanded: false
  - name: Pushed Authorization Endpoint
    description: >-
      API endpoints for implementing OAuth 2.0 Pushed Authorization Requests
      (PAR).
    x-tag-expanded: false
  - name: Token Endpoint
    description: API endpoints for implementing OAuth 2.0 Token Endpoint.
    x-tag-expanded: false
  - name: Token Operations
    description: >-
      API endpoints for various token related operations, including creating,
      revoking and deleting access_tokens with specified scopes.
    x-tag-expanded: false
  - name: Introspection Endpoint
    description: API endpoints for implementing OAuth 2.0 Introspection Endpoint.
    x-tag-expanded: false
  - name: Revocation Endpoint
    description: API endpoint for implementing OAuth 2.0 Revocation Endpoint.
    x-tag-expanded: false
  - name: UserInfo Endpoint
    description: API endpoints for implementing OpenID Connect UserInfo Endpoint.
    x-tag-expanded: false
  - name: JWK Set Endpoint
    description: API endpoints for to generate JSON Web Key Set (JWKS) for a service.
    x-tag-expanded: false
  - name: Discovery Endpoint
    description: API endpoints for implementing OpenID Connect Discovery.
    x-tag-expanded: false
  - name: Configuration Endpoint
    description: API endpoint for accessing configuration settings for a service.
    x-tag-expanded: false
  - name: Dynamic Client Registration
    description: API endpoints for implementing OAuth 2.0 Dynamic Client Registration.
    x-tag-expanded: false
  - name: CIBA
    description: >-
      API endpoints for implementing Client-Initiated Backchannel Authentication
      (CIBA).
    x-tag-expanded: false
  - name: Grant Management Endpoint
    description: >-
      API endpoint for implementing OAuth 2.0 grants, including grant management
      actions like updating and revoking grants.
    x-tag-expanded: false
  - name: Jose Object
    description: API endpoints for JOSE objects.
    x-tag-expanded: false
  - name: Device Flow
    description: API endpoints for implementing OAuth 2.0 Device Flow
    x-tag-expanded: false
  - name: Federation Endpoint
    description: API endpoints for implementing OpenID Federation using Authlete.
    x-tag-expanded: false
  - name: Verifiable Credential Issuer
    description: >-
      API endpoints for implementing and running a Verifiable Credential Issuer
      (VCI).
    x-tag-expanded: false
  - name: Hardware Security Key
    description: API endpoints for managing hardware security keys (HSK).
    x-tag-expanded: false
  - name: Utility Endpoints
    description: API endpoints for various utility operations.
    x-tag-expanded: false
  - name: Native SSO
    description: API endpoints for Native SSO
    x-tag-expanded: false
paths:
  /api/{serviceId}/vci/offer/info:
    post:
      tags:
        - Verifiable Credential Issuer
      summary: Get Credential Offer Information
      description: Get information about a verifiable credential offer
      operationId: vci_offer_info_api
      parameters:
        - in: path
          name: serviceId
          description: A service ID.
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/vci_offer_info_request'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/vci_offer_info_request'
      responses:
        '200':
          description: Credential offer info retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/vci_offer_info_response'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '500':
          $ref: '#/components/responses/500'
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Authlete } from "@authlete/typescript-sdk";

            const authlete = new Authlete({
              bearer: process.env["AUTHLETE_BEARER"] ?? "",
            });

            async function run() {
              const result = await authlete.verifiableCredentials.getOfferInfo({
                serviceId: "<id>",
                vciOfferInfoRequest: {},
              });

              console.log(result);
            }

            run();
        - lang: ruby
          label: Ruby (SDK)
          source: >-
            require 'authlete_ruby_sdk'


            Models = ::Authlete::Models

            s = ::Authlete::Client.new(
              bearer: '<YOUR_BEARER_TOKEN_HERE>'
            )

            res = s.verifiable_credentials.offer_info(service_id: '<id>',
            vci_offer_info_request: Models::Components::VciOfferInfoRequest.new)


            unless res.vci_offer_info_response.nil?
              # handle response
            end
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tauthlete \"github.com/authlete/authlete-go-sdk\"\n\t\"github.com/authlete/authlete-go-sdk/models/components\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := authlete.New(\n        authlete.WithSecurity(os.Getenv(\"AUTHLETE_BEARER\")),\n    )\n\n    res, err := s.VerifiableCredentials.GetOfferInfo(ctx, \"<id>\", components.VciOfferInfoRequest{})\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.VciOfferInfoResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    vci_offer_info_request:
      type: object
      properties:
        identifier:
          type: string
          description: The identifier of the credential offer.
    vci_offer_info_response:
      type: object
      properties:
        resultCode:
          type: string
          description: The code which represents the result of the API call.
        resultMessage:
          type: string
          description: A short message which explains the result of the API call.
        action:
          type: string
          enum:
            - OK
            - FORBIDDEN
            - NOT_FOUND
            - CALLER_ERROR
            - AUTHLETE_ERROR
          description: The result of the `/vci/offer/info` API call.
        info:
          $ref: '#/components/schemas/credential_offer_info'
    credential_offer_info:
      type: object
      properties:
        identifier:
          type: string
          description: The identifier of the credential offer.
        credentialOffer:
          type: string
          description: The credential offer in the JSON format.
        credentialIssuer:
          type: string
          description: The identifier of the credential issuer.
        authorizationCodeGrantIncluded:
          type: boolean
          description: |
            The flag indicating whether the `authorization_code` object is
            included in the `grants` object.
        issuerStateIncluded:
          type: boolean
          description: |
            The flag indicating whether the `issuer_state` property is
            included in the `authorization_code` object in the `grants`
            object.
        issuerState:
          type: string
          description: |
            The value of the `issuer_state` property in the
            `authorization_code` object in the `grants` object.
        preAuthorizedCodeGrantIncluded:
          type: boolean
          description: |
            The flag indicating whether the
            `urn:ietf:params:oauth:grant-type:pre-authorized_code` object is
            included in the `grants` object.
        preAuthorizedCode:
          type: string
          description: |
            The value of the `pre-authorized_code` property in the
            `urn:ietf:params:oauth:grant-type:pre-authorized_code` object in
            the `grants` object.
        subject:
          type: string
          description: The subject associated with the credential offer.
        expiresAt:
          type: integer
          format: int64
          description: The time at which the credential offer will expire.
        context:
          type: string
          description: The general-purpose arbitrary string.
        properties:
          type: array
          items:
            $ref: '#/components/schemas/property'
          description: Extra properties to associate with the credential offer.
        jwtAtClaims:
          type: string
          description: |
            Additional claims that are added to the payload part of the JWT
            access token.
        authTime:
          type: integer
          format: int64
          description: |
            The time at which the user authentication was performed during
            the course of issuing the credential offer.
        acr:
          type: string
          description: >
            The Authentication Context Class Reference of the user
            authentication

            performed during the course of issuing the credential offer.
        credentialConfigurationIds:
          type: array
          items:
            type: string
          description: >
            The value of the `credential_configuration_ids` property of the
            credential offer.
          x-mint:
            metadata:
              description: >-
                The value of the `credential_configuration_ids` property of the
                credential offer.
            content: |
              <Accordion title="Full description" defaultOpen={false}>
              ```
              &#123;
                "credential_issuer": "...",
                "credential_configuration_ids": [ ... ],
                "grants": &#123; ... &#125;
              &#125;
              ```
              </Accordion>
        txCode:
          type: string
          description: |
            The transaction code.
        txCodeInputMode:
          type: string
          description: |
            The input mode of the transaction code.
        txCodeDescription:
          type: string
          description: |
            The description of the transaction code.
    result:
      type: object
      properties:
        resultCode:
          type: string
          description: The code which represents the result of the API call.
        resultMessage:
          type: string
          description: A short message which explains the result of the API call.
    property:
      type: object
      properties:
        key:
          type: string
          description: The key part.
        value:
          type: string
          description: The value part.
        hidden:
          type: boolean
          description: >
            The flag to indicate whether this property hidden from or visible to
            client applications.

            If `true`, this property is hidden from client applications.
            Otherwise, this property is visible to client applications.
  responses:
    '400':
      description: ''
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/result'
          example:
            resultCode: A001201
            resultMessage: '[A001201] /auth/authorization, TLS must be used.'
    '401':
      description: ''
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/result'
          example:
            resultCode: A001202
            resultMessage: '[A001202] /auth/authorization, Authorization header is missing.'
    '403':
      description: ''
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/result'
          example:
            resultCode: A001215
            resultMessage: >-
              [A001215] /auth/authorization, The client (ID = 26837717140341) is
              locked.
    '500':
      description: ''
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/result'
          example:
            resultCode: A001101
            resultMessage: '[A001101] /auth/authorization, Authlete Server error.'
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Authenticate every request with a **Service Access Token** or
        **Organization Token**.

        Set the token value in the `Authorization: Bearer <token>` header.


        **Service Access Token**: Scoped to a single service. Use when
        automating service-level configuration or runtime flows.


        **Organization Token**: Scoped to the organization; inherits permissions
        across services. Use for org-wide automation or when managing multiple
        services programmatically.


        Both token types are issued by the Authlete console or provisioning
        APIs.

````